TestAuthorizeAction (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.servlet
Class TestAuthorizeAction

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.chain.commands.servlet.TestAuthorizeAction

All Implemented Interfaces:
  junit.framework.Test

    public class TestAuthorizeAction

extends junit.framework.TestCase

Constructor Summary
`TestAuthorizeAction(String _name)`

Method Summary
`static void` | `main(String[] argv)`
`protected void` | `setUp()`
`protected void` | `tearDown()`
`void` | `testAuthorizeNoRoles()`
`void` | `testAuthorizeOneOfManyRoles()`
`void` | `testAuthorizeOneRole()`
`void` | `testNotAuthorizedOneOfManyRoles()`
`void` | `testNotAuthorizedOneRole()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestAuthorizeAction

    public TestAuthorizeAction(String _name)

Method Detail

### setUp

    protected void setUp()
                  throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### tearDown

    protected void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testAuthorizeOneRole

    public void testAuthorizeOneRole()
                              throws Exception

  Throws:
    `Exception`

### testAuthorizeOneOfManyRoles

    public void testAuthorizeOneOfManyRoles()
                                     throws Exception

  Throws:
    `Exception`

### testAuthorizeNoRoles

    public void testAuthorizeNoRoles()
                              throws Exception

  Throws:
    `Exception`

### testNotAuthorizedOneRole

    public void testNotAuthorizedOneRole()
                                  throws Exception

  Throws:
    `Exception`

### testNotAuthorizedOneOfManyRoles

    public void testNotAuthorizedOneOfManyRoles()
                                         throws Exception

  Throws:
    `Exception`

### main

    public static void main(String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.